Dev GuideAPI Reference
Dev GuideAPI ReferenceUser GuideGitHubNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Updates a payment plan.

Path Params
int32
required

Payment plan id.

Body Params

Payment plan model.

string | null

Address ID.

uuid

Affiliate ID (GUID).

string | null

Billing currency.

uuid

Customer ID (GUID).

string | null

Customer name.

double

Handling total.

uuid

Instance ID (GUID).

string | null

Market ID.

string
required

Order name.

orderAddresses
array of objects | null

List of addresses.

orderAddresses
orderForms
array of objects | null

List of order forms.

orderForms
int32

Order group ID.

orderNotes
array of objects | null

List of order notes.

orderNotes
string | null

Owner name.

string | null

Owner's organization name.

string | null

Provider ID.

double

Shipping total.

string | null

Status. Valid values:

  • AwaitingExchange
  • Cancelled
  • Completed
  • InProgress
  • OnHold
  • PartiallyShipped.
double

Sub-total.

double

Tax total.

double

Total.

date-time

Modified date.

date-time

Created date.

properties
array of objects | null

Gets the list of key value pairs for dealing with custom properties.

properties
Responses
200

Success

204

The payment plan is saved.

400

If the payment plan model is not valid.

401

If user does not have enough permission for this request.

404

If payment plan does not exist.

Language
Response
Click Try It! to start a request and see the response here!